### Method

# Cogl Primitive set_n_vertices

#### Declaration [src]

    void
    cogl_primitive_set_n_vertices (
      CoglPrimitive* primitive,
      int n_vertices
    )

#### Description [src]

Specifies how many vertices should be read when drawing the given `primitive`.

Usually this value is set implicitly when associating vertex data or indices with a `CoglPrimitive`.

To be clear; it doesn’t refer to the number of vertices - in terms of data - associated with the primitive it’s just the number of vertices to read and draw.

#### Parameters

`n_vertices`

  Type: `int`

  The number of vertices to read when drawing.